# Copyright © 2016-2018,2020 Nick Bowler
# License GPLv3+: GNU General Public License version 3 or later.
# There is NO WARRANTY, to the extent permitted by law.

EAPI=7

PYTHON_COMPAT=( python2_7 python3_4 python3_5 python3_6 python3_7 python3_8 )
inherit distutils-r1

SHA1=2908f0f47314ce697a212a059e9e239031c713d4

DESCRIPTION="No-op sync module for portage"
SRC_URI="https://git.draconx.ca/gitweb/nullsync.git/snapshot/$SHA1.tar.xz -> $P.tar.xz"

LICENSE="GPL-2+"
SLOT="0"
KEYWORDS="~amd64 ~arm"
REQUIRED_USE=$PYTHON_REQUIRED_USE

RDEPEND=">=sys-apps/portage-2.2.21[$PYTHON_USEDEP]"
DEPEND="$RDEPEND
	dev-python/setuptools[$PYTHON_USEDEP]"

S=$WORKDIR/$SHA1
